# std::back_insert_iterator< _Container > Class Template Reference

Turns assignment into insertion. More...

`#include <stl_iterator.h>`

Inheritance diagram for std::back_insert_iterator< _Container >:

[legend]
Collaboration diagram for std::back_insert_iterator< _Container >:

[legend]
List of all members.

## Public Types

typedef _Container | container_type
| A nested typedef for the type of whatever container you used.

## Public Methods

| back_insert_iterator (_Container &__x)
| The only way to create this %iterator is with a container.
back_insert_iterator & | operator= (typename _Container::const_reference __value)
back_insert_iterator & | operator * ()
| Simply returns *this.
back_insert_iterator & | operator++ ()
| Simply returns *this. (This %iterator does not "move".).
back_insert_iterator | operator++ (int)
| Simply returns *this. (This %iterator does not "move".).

## Detailed Description

### template<typename _Container>
class std::back_insert_iterator< _Container >

Turns assignment into insertion.

These are output iterators, constructed from a container-of-T. Assigning a T to the iterator appends it to the container using push_back.

Tip: Using the back_inserter function to create these iterators can save typing.

Definition at line 330 of file stl_iterator.h.

## Member Typedef Documentation

template<typename _Container>
typedef _Container std::back_insert_iterator< _Container >::container_type

| A nested typedef for the type of whatever container you used. Definition at line 338 of file stl_iterator.h.

## Constructor & Destructor Documentation

template<typename _Container>
std::back_insert_iterator< _Container >::back_insert_iterator | ( | _Container & | __x | ) | `[inline, explicit]`

| The only way to create this %iterator is with a container. Definition at line 342 of file stl_iterator.h.

## Member Function Documentation

template<typename _Container>
back_insert_iterator& std::back_insert_iterator< _Container >::operator * | ( |  | ) | `[inline]`

| Simply returns *this. Definition at line 364 of file stl_iterator.h.

template<typename _Container>
back_insert_iterator std::back_insert_iterator< _Container >::operator++ | ( | int |  | ) | `[inline]`

| Simply returns *this. (This %iterator does not "move".). Definition at line 372 of file stl_iterator.h.

template<typename _Container>
back_insert_iterator& std::back_insert_iterator< _Container >::operator++ | ( |  | ) | `[inline]`

| Simply returns *this. (This %iterator does not "move".). Definition at line 368 of file stl_iterator.h.

template<typename _Container>
back_insert_iterator& std::back_insert_iterator< _Container >::operator= | ( | typename _Container::const_reference | __value | ) | `[inline]`

Parameters:

  value | An instance of whatever type container_type::const_reference is; presumably a reference-to-const T for container<T>.

Returns:
  This %iterator, for chained operations.

This kind of %iterator doesn't really have a "position" in the container (you can think of the position as being permanently at the end, if you like). Assigning a value to the %iterator will always append the value to the end of the container.

Definition at line 356 of file stl_iterator.h.

The documentation for this class was generated from the following file:

- stl_iterator.h